Appointments
List a client's appointments
GET /v1/clients/{id}/appointments
Scope: appointments:read
| Parameter | In | Required |
|---|
id | path | Yes |
view | query | No |
page | query | No |
pageSize | query | No |
membershipId | query | No |
serviceId | query | No |
cancellation | query | No |
withNote | query | No |
statuses | query | No |
from | query | No |
to | query | No |
Appointments in a date range
GET /v1/calendar
Scope: appointments:read
| Parameter | In | Required |
|---|
from | query | Yes |
to | query | Yes |
locationId | query | No |
includeCancelled | query | No |
Book an appointment
POST /v1/appointments
Scope: appointments:create
| Body field | Type | Required |
|---|
locationId | string uuid | Yes |
clientId | | No |
date | string date | Yes |
startTime | string | Yes |
services | array | Yes |
note | | No |
notifications | object | No |
custom | object | No |
override | boolean | No |
repeat | object | No |
skipConflicts | boolean | No |
requested | boolean | No |
Get an appointment
GET /v1/appointments/{id}
Scope: appointments:read
| Parameter | In | Required |
|---|
id | path | Yes |
Reschedule or edit an appointment
PATCH /v1/appointments/{id}
Scope: appointments:update
| Parameter | In | Required |
|---|
id | path | Yes |
If-Match | header | No |
| Body field | Type | Required |
|---|
clientId | | No |
date | string date | No |
startTime | string | No |
membershipId | string uuid | No |
roomId | | No |
services | array | No |
note | | No |
notifications | object | No |
notify | | No |
applyTo | string | No |
custom | object | No |
override | boolean | No |
requested | boolean | No |
Change appointment status
POST /v1/appointments/{id}/status
Scope: appointments:update
| Parameter | In | Required |
|---|
id | path | Yes |
| Body field | Type | Required |
|---|
status | string | No |
customStatusId | | No |
override | boolean | No |
waiveFee | boolean | No |
notify | | No |
Cancel an appointment
POST /v1/appointments/{id}/cancel
Scope: appointments:delete
| Parameter | In | Required |
|---|
id | path | Yes |
| Body field | Type | Required |
|---|
reasonId | | No |
note | string | No |
scope | string | No |
waiveFee | boolean | No |
feeOverride | integer | No |
notify | | No |